Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Player.h File Reference

Definition of class Player. More...

`#include <string.h>`
`#include "Tools/Streams/InOut.h"`

Include dependency graph for Player.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Player
| A class that represents the team color and player number of the robot. More...
## Functions
Player & | getPlayer ()
| Returns a reference to a process wide player configuration.
void | setPlayer (Player *player)
| The function sets the player data for this process.
In & | operator>> (In &stream, Player &player)
| Streaming operator that reads a Player from a stream.
Out & | operator<< (Out &stream, const Player &player)
| Streaming operator that writes a Player to a stream.

## Detailed Description

Definition of class Player.

Author:
  Martin Lötzsch

Definition in file Player.h.

## Function Documentation

Player& getPlayer | ( |  | ) |

| Returns a reference to a process wide player configuration. Definition at line 42 of file Player.cpp. References thePlayer. Referenced by LandmarksPercept::addGoal(), ChallengeSymbols::ChallengeSymbols(), Cognition::Cognition(), GT2005ConfigurationSymbols::computeKickoffRole(), GT2005StrategySymbols::computeRole(), GT2005ObstaclesLocator::determineSeenGoals(), GT2005StrategySymbols::estimateTimeToReachBall(), SlamGoalRecognizer::execute(), GTCamObstaclesLocator::execute(), GTCamPlayersLocator::execute(), GT2005SelfLocator::execute(), GT2005StableSelfLocator::execute(), GTCamSelfLocator::execute(), SlamSelfLocator::execute(), GT2005TeamBallLocator::execute(), GT2004SelfLocator::generatePoseTemplates(), GT2005StableSampleTemplateGenerator::generateTemplates(), SlamSampleTemplateGenerator::generateTemplates(), GT2005FlagSpecialist::getFlagPercept(), SlamFlagSpecialist::getFlagPercept(), VLCFlagSpecialist::getFlagPercept(), GoalRecognizer::getGoalPercept(), GT2005ConfigurationSymbols::getOpponentKickoffAngle(), GT2005ConfigurationSymbols::getOpponentKickoffX(), GT2005ConfigurationSymbols::getOpponentKickoffY(), GT2005ConfigurationSymbols::getOwnKickoffAngle(), GT2005ConfigurationSymbols::getOwnKickoffX(), GT2005ConfigurationSymbols::getOwnKickoffY(), GTCamSymbols::getOwnPosX(), GTCamSymbols::getOwnPosY(), GTCamSymbols::getOwnRotation(), GTCamSymbols::getOwnSpeedX(), GTCamSymbols::getOwnSpeedY(), GT2005StrategySymbols::getRobotNumber(), GTCamWorldState::getRobotPose(), GT2005StrategySymbols::getSearchBallX(), RoboCupGameManagerSymbols::getTeamColor(), GT2005ConfigurationSymbols::GT2005ConfigurationSymbols(), Cognition::init(), GT2005WalkCalibrationMainBehavior::Initialize(), LandmarksState::initLandmarks(), TeamMessage::isActual(), GT2005SelfLocator::lineObservationUpdate(), Cognition::main(), DDPHandler::onReceive(), operator<<(), operator>>(), PackageCognitionMotion::PackageCognitionMotion(), GT2005BehaviorControl::postExecute(), Process::processMain(), TeamMessageCollection::processTimeStamps(), GT2005ImageProcessor::scan(), SlamImageProcessor::scan(), VLCImageProcessor::scan(), GoalRecognizer::scanLinesForGoals(), DDPHandler::sendDDPPackage(), UDPHandlerEndpoint::sendPackage(), GT2005BallLocator::setBallSymbols(), ObstaclesPercept::setFreePartOfGoal(), GT2005ObstaclesLocator::setObstaclesModel(), RoboCupGameManagerSymbols::setTeamColor(), UDPHandler::start(), GTCamTimeSyncHandler::startTimeSync(), RoboCupGameManagerSymbols::update(), and GT2004SelfLocator::updateByPoint().

void setPlayer | ( | Player * | player | ) |

  | The function sets the player data for this process. Parameters:
  player | A pointer to the player data.
Definition at line 37 of file Player.cpp. References thePlayer. Referenced by Process::Process(), and Process::processMain().

In& operator>> | ( | In & | stream,
|  | Player & | player
| ) |

  | Streaming operator that reads a Player from a stream. Parameters:
  stream | The stream from which is read.
  player | The Player object.
Returns: The stream. Definition at line 108 of file Player.cpp. References In::read().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const Player & | player
| ) |

  | Streaming operator that writes a Player to a stream. Parameters:
  stream | The stream to write on.
  player | The Player object.
Returns: The stream. Definition at line 114 of file Player.cpp. References Out::write().

Here is the call graph for this function: